Built LMS Help Center
API Reference and PlaygroundCourses and CatalogCategories

DELETE Delete category

Delete a category (requires no courses or reassignment)

DELETE
/categories/{id}

Delete a category (requires no courses or reassignment)

Authorization

AuthorizationBearer <token>

Send API keys and access tokens as Authorization: Bearer .

In: header

Path Parameters

id*string

Category UUID

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/categories/{id}" \  -H "Content-Type: application/json" \  -d '{    "reassign_to": "{reassign_to}",    "force": true  }'
{  "data": {    "id": "string",    "status": "string",    "success": true,    "published": true,    "cancelled": true,    "deleted": true,    "category_id": "{category_id}"  },  "meta": {    "organization_id": "{organization_id}",    "total": 0,    "total_count": 0,    "limit": 0,    "offset": 0,    "has_more": true,    "requested_at": "2019-08-24T14:15:22Z"  }}